The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Feed Assignments

Prev Next

This URL retrieves device assignments for a specific threat feed.

Resource URL

GET /{domainId}/getDeviceAssignments/{threatFeedId}

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain Id

Number

Yes

threatFeedId

Threat feed ID

Number

Yes

Response Parameters

The following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

selectedDevices

List of devices currently assigned to the feed

Array (Object)

availableDevices

List of devices available for assignment

Array (Object)

Details of Device Object (for selectedDevices /availableDevices):

Field Name

Description

Data Type

threatFeedId

Threat feed ID

Number

sensorId

Unique identifier for the Sensor

Number

sensorName

Name of the Sensor

String

ownerDomain

Domain that owns the sensor

String

Example

Request

GET https://<Manager_IP>/sdkapi/0/getDeviceAssignments/2

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": {
        "selectedDevices": [],
        "availableDevices": [
            {
                "threatFeedId": 2,
                "sensorId": 1003,
                "sensorName": "NS7600_17_56",
                "ownerDomain": null
            }
        ]
    },
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues